import zod from "zod";
export declare const createSettingsCreateValidation: () => zod.ZodObject<{
    name: zod.ZodOptional<zod.ZodOptional<zod.ZodString>>;
    websiteUrl: zod.ZodOptional<zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodUnion<[zod.ZodString, zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>]>>>>, string, string | null | undefined>>>;
    websitePreviewUrl: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodUnion<[zod.ZodString, zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>]>>>>, string, string | null | undefined>>;
    favicon: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    logo: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    social: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodDefault<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>>, zod.objectOutputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    htmlTags: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    pages: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
    name: zod.ZodOptional<zod.ZodOptional<zod.ZodString>>;
    websiteUrl: zod.ZodOptional<zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodUnion<[zod.ZodString, zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>]>>>>, string, string | null | undefined>>>;
    websitePreviewUrl: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodUnion<[zod.ZodString, zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>]>>>>, string, string | null | undefined>>;
    favicon: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    logo: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    social: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodDefault<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>>, zod.objectOutputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    htmlTags: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    pages: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
    name: zod.ZodOptional<zod.ZodOptional<zod.ZodString>>;
    websiteUrl: zod.ZodOptional<zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodUnion<[zod.ZodString, zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>]>>>>, string, string | null | undefined>>>;
    websitePreviewUrl: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodUnion<[zod.ZodString, zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>]>>>>, string, string | null | undefined>>;
    favicon: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    logo: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        id: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        src: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    social: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodDefault<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>>, zod.objectOutputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        facebook: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        twitter: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        instagram: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        linkedIn: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        image: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
            id: zod.ZodOptional<zod.ZodString>;
            src: zod.ZodOptional<zod.ZodString>;
        }, zod.ZodTypeAny, "passthrough"> | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    htmlTags: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        header: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
        footer: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
    pages: zod.ZodOptional<zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodObject<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough">>>>>, zod.objectOutputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | undefined, zod.objectInputType<{
        home: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
        notFound: zod.ZodEffects<zod.ZodOptional<zod.ZodOptional<zod.ZodNullable<zod.ZodString>>>, string | null | undefined, string | null | undefined>;
    }, zod.ZodTypeAny, "passthrough"> | null | undefined>>;
}, zod.ZodTypeAny, "passthrough">>;
